%define _prefix /scisoft
%define _docdir %{_prefix}/doc

# This is not built from source so do not provide a debug package.
%define debug_package %{nil}

Name:           scisoft-qfitsview
Version:        3.1.864
Release:        1%{?dist}
Summary:        Astronomical Data Visualization Application
Distribution:   Scisoft
Group:          Applications/Engineering
License:        GPLv2+
URL:            http://www.mpe.mpg.de/~ott/QFitsView/
Source0:        QFitsView
Source1:        QFitsViewDoc.tar.gz

Requires:       libXi
Requires:       mesa-libGLU

%description
QFitsView is a FITS file viewer similar to SAOimage, DS9, and the like. It
was written using the cross-platform QT library and thus runs under Microsoft
Windows as well as many flavours of UNIX and MAC OS-X.

%prep
mkdir doc
cd doc
tar xzf %{SOURCE1}

%build

%install
install -m 755 -d %{buildroot}%{_bindir}
install -m 755 %{SOURCE0} %{buildroot}%{_bindir}/QFitsView
install -m 755 -d %{buildroot}%{_docdir}/qfitsview
cp -r %{_builddir}/doc/* %{buildroot}%{_docdir}/qfitsview/

%files
%{_prefix}
%docdir %{_docdir}
%defattr(-,root,root,-)

%changelog
* Fri Oct 18 2013 Carlos Guirao
- Integration for scisoft 8
